Time Entries

Update time entry

PUT
/time_entries/{id}.json

Update an existing time entry

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Path Parameters

id*integer
Formatint64

Request Body

application/json
  1. body
time_entry*

Time entry update payload. All properties are optional.

Response Body

Success without content. Redmine < 4.1 responds with 200 instead of 204.

curl -X PUT 'https://redmine.example.com/time_entries/0.json' \  -H 'Content-Type: application/json' \  -d '{  "time_entry": {}}'
Empty